using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EDPlayerJournal.Entries; 
public class MarketBuyEntry : Entry {
    public string? Type { get; set; }
    public string? TypeLocalised { get; set; }
    public long Count { get; set; }
    public long BuyPrice { get; set; }
    public long TotalCost { get; set; }

    protected override void Initialise() {
        Type = JSON.Value<string>("Type");
        TypeLocalised = JSON.Value<string>("Type_Localised");
        Count = JSON.Value<long?>("Count") ?? 0;
        BuyPrice = JSON.Value<long?>("BuyPrice") ?? 0;
        TotalCost = JSON.Value<long?>("TotalCost") ?? 0;
    }
}
